Webastro
La communauté de l'astronomie


M
E
N
U


Précédent   Forums d'astronomie Webastro > Les sciences > Logiciels
Mot de passe oublié? S'inscrire

Logiciels Toutes discussions sur les logiciels d'astronomie: planétariums, traitement d'image, météo pilotage de matériel, jeux...

Astro
Quizz
Jouer
Réponse
 
Outils de la discussion Modes d'affichage
Vieux 25/08/2017, 23h59   #26
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Mais qu'est-ce que tu essaie de faire ? Casser ton système avec des ppa et drivers exotiques ?
Chez Intel tu n'as rien à installer, les drivers sont déjà dans le noyau, surtout pour un chipset graphique aussi vieux que le tiens.

https://answers.launchpad.net/stellarium/+faq/2570

Citation:
Graphics cards which are no longer supported by Stellarium 0.13 and later include early ATI/AMD Radeon cards up to and including the Xxxx series (built 2004/05), NVidia up to GeForce FXxxx (2003/04), and Intel GMA before X3000, unfortunately also including the popular Atom-based netbooks of 2010. For such systems, you need the MESA software rendering (circumventing the outdated graphics card on Windows, at cost of very slow performance), or you may use an older version of Stellarium. MESA is also used in many Linux installations, but allows hardware acceleration.
Donc continue à lancer le logiciel avec ta ligne de commandes, ou compile une vieille version de Stellarium.

Tu peux éventuellement faire un essai depuis un LiveCD de ubuntu 14.04 voire 12.04 ? Tu devrais avoir une version suffisament ancienne de Stellarium.
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz
src386 est déconnecté   Réponse avec citation
Vieux 26/08/2017, 00h11   #27
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

oh te faches pas, je peux pas deviner, j'apprend sur linux
Déjà l'anglais n'est pas mon fort, obligé de traduire.....

Les cartes graphiques qui ne sont plus prises en charge par Stellarium 0.13 et versions ultérieures incluent les cartes ATI / AMD Radeon précoces jusqu'à la série Xxxx (construit en 2004/05), NVidia jusqu'à GeForce FXxxx (2003/04) et Intel GMA avant X3000, Malheureusement, y compris les netbooks populaires basés sur Atom de 2010. Pour ces systèmes, vous avez besoin du rendu du logiciel MESA (contournant la carte graphique périmée sur Windows, au coût de performances très lentes), ou vous pouvez utiliser une ancienne version de Stellarium. MESA est également utilisé dans de nombreuses installations Linux, mais permet une accélération matérielle.

Si j'avais sû dès le début
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 26/08/2017, 00h24   #28
gehelem
Bricolo
Membre association
Quasar
 
Avatar de gehelem
 
Date d'inscription: septembre 2016
Localisation: Rambouillet (78)
Messages: 1 742
Par défaut

Citation:
Envoyé par viloque Voir le message
oh te faches pas, je peux pas deviner, j'apprend sur linux
Déjà l'anglais n'est pas mon fort, obligé de traduire.....
(...)
Si j'avais sû dès le début
te bile pas, on va t'aider...
des fois c'est ch... ces histoires, on rame un peu c'est vrai.
Tu as essayé Kstars dessus ?
(au moins juste pour savoir si il tourne mieux)
gehelem est déconnecté   Réponse avec citation
Vieux 26/08/2017, 00h29   #29
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Citation:
Envoyé par gehelem Voir le message
te bile pas, on va t'aider...
des fois c'est ch... ces histoires, on rame un peu c'est vrai.
Tu as essayé Kstars dessus ?
(au moins juste pour savoir si il tourne mieux)
Ouais merci
Mais vu l'heure, j'avais prévu de faire ça demain
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 26/08/2017, 14h31   #30
francheu
Membre
Supergéante rouge
 
Date d'inscription: juillet 2013
Messages: 174
Par défaut

Citation:
Envoyé par src386 Voir le message
Mais qu'est-ce que tu essaie de faire ? Casser ton système avec des ppa et drivers exotiques ?
Chez Intel tu n'as rien à installer, les drivers sont déjà dans le noyau, surtout pour un chipset graphique aussi vieux que le tiens.
En voyant les captures d'écran je me suis dit la même chose : "il va trop loin il va tout péter !".

Oublie les drivers Intel. Lors du passage à la version 0.13 j'avais aussi essayé de bidouiller mais rien a faire, la limite c'est la carte graphique elle-même, pas le driver (en tout cas pour moi, eeepc 1001, carte graphique Intel GMA 3150, toute petite config donc).
D'ailleurs si tu tapes inxi -F dans le terminal ça dit quoi ?

Les PPA activés pour Stellarium ne sont pas les bons, il faut décocher les stellarium-releases et cocher les stellarium-12-releases plus bas.
J'espère que ça marchera, car vu que tu as bidouillé du côté drivers d'autres problèmes peuvent surgir.

Pour une petite config on peut difficilement passer le cap de la 0.13. Personnellement je préfère avoir la 0.12 qui marche nickel qu'une version plus élevée horriblement lente (si déjà elle se lance...).
Il faut savoir que la branche 0.12 est toujours maintenue, les bugs résiduels sont corrigés rapidement. D'ailleurs j'avais rapporté le problème de recherche internet du plugin système solaire, et le développeur l'a corrigé en quelques heures seulement :
https://bugs.launchpad.net/stellarium/+bug/1678597

Et parfois ils ajoutent des fonctionnalités des versions ultérieures.
francheu est déconnecté   Réponse avec citation
Vieux 26/08/2017, 15h08   #31
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Citation:
Envoyé par francheu Voir le message
En voyant les captures d'écran je me suis dit la même chose : "il va trop loin il va tout péter !".

Oublie les drivers Intel. Lors du passage à la version 0.13 j'avais aussi essayé de bidouiller mais rien a faire, la limite c'est la carte graphique elle-même, pas le driver (en tout cas pour moi, eeepc 1001, carte graphique Intel GMA 3150, toute petite config donc).
D'ailleurs si tu tapes inxi -F dans le terminal ça dit quoi ?

Les PPA activés pour Stellarium ne sont pas les bons, il faut décocher les stellarium-releases et cocher les stellarium-12-releases plus bas.
J'espère que ça marchera, car vu que tu as bidouillé du côté drivers d'autres problèmes peuvent surgir.

Pour une petite config on peut difficilement passer le cap de la 0.13. Personnellement je préfère avoir la 0.12 qui marche nickel qu'une version plus élevée horriblement lente (si déjà elle se lance...).
Il faut savoir que la branche 0.12 est toujours maintenue, les bugs résiduels sont corrigés rapidement. D'ailleurs j'avais rapporté le problème de recherche internet du plugin système solaire, et le développeur l'a corrigé en quelques heures seulement :
https://bugs.launchpad.net/stellarium/+bug/1678597

Et parfois ils ajoutent des fonctionnalités des versions ultérieures.
Bon ok, je crois que je vais recharger ubuntu, j'ai bidouillé pas mal, mais j'ai aussi appris
En tout cas Kstars marche nikel
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 26/08/2017, 15h30   #32
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Au fait
Code:
viloque@viloque-Aspire-9410:~$ inxi -F
System:    Host: viloque-Aspire-9410 Kernel: 4.4.0-92-generic i686 (32 bit)
           Desktop: MATE 1.12.1  Distro: Ubuntu 16.04 xenial
Machine:   System: Acer (portable) product: Aspire 9410 v: 0100
           Mobo: Acer model: Myall2 v: Rev
           Bios: Phoenix v: V1.24 date: 11/15/2007
CPU:       Dual core Intel T2060 (-MCP-) cache: 1024 KB 
           clock speeds: max: 1600 MHz 1: 1333 MHz 2: 1333 MHz
Graphics:  Card: Intel Mobile 945GM/GMS 943/940GML Express Integrated Graphics Controller
           Display Server: X.Org 1.18.4 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1440x900@60.00hz
           GLX Renderer: Mesa DRI Intel 945GM x86/MMX/SSE2
           GLX Version: 1.4 Mesa 17.0.7
Audio:     Card Intel NM10/ICH7 Family High Definition Audio Controller
           driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.4.0-92-generic
Network:   Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169
           IF: enp2s0 state: up speed: 1000 Mbps duplex: full
           mac: 00:16:d3:51:00:16
           Card-2: Qualcomm Atheros AR2413/AR2414 Wireless Network Adapter [AR5005G(S) 802.11bg]
           driver: ath5k
           IF: wlp10s5 state: down mac: 00:19:7d:5e:76:89
Drives:    HDD Total Size: 160.0GB (23.2% used)
           ID-1: /dev/sda model: Hitachi_HTS54161 size: 160.0GB
Partition: ID-1: / size: 30G used: 5.9G (21%) fs: ext4 dev: /dev/sda7
           ID-2: swap-1 size: 1.42GB used: 0.65GB (46%) fs: swap dev: /dev/sda6
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   None detected - is lm-sensors installed and configured?
Info:      Processes: 166 Uptime: 19:29 Memory: 1083.3/2004.5MB
           Client: Shell (bash) inxi: 2.2.35 
viloque@viloque-Aspire-9410:~$
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 26/08/2017, 16h12   #33
francheu
Membre
Supergéante rouge
 
Date d'inscription: juillet 2013
Messages: 174
Par défaut

Citation:
Envoyé par viloque Voir le message
Au fait
Code:
Graphics:  Card: Intel Mobile 945GM/GMS 943/940GML Express Integrated Graphics Controller
           GLX Version: 1.4 Mesa 17.0.7
Ok, donc vu la carte et la version d'OpenGL, aucune chance de faire tourner la version 0.13+ de Stellarium.
Par contre si ton système fonctionne bien et reste stable, tu n'as peut-être pas besoin de refaire une installation complète.
Si Kstars tourne et te convient tu peux aussi rester là-dessus plutôt que Stellarium.
francheu est déconnecté   Réponse avec citation
Vieux 26/08/2017, 18h40   #34
patrick60
Membre
Supernova
 
Avatar de patrick60
 
Date d'inscription: octobre 2011
Messages: 412
Par défaut

Bonjour,

Pas bien compris toute "cette soupe" avec Intel. Le chargement des "paquets" semble indiquer que le système d'exploitation s'est bien mis en place. Il charge alors les paquets - ou modules - qui sont des "briques" additionnelles au fonctionnement de la machine. Les paquets sont aussi des logiciels que tu installes à la carte, à ta convenance...gros avantage Linux par rapport à Windows.

Une fois terminée, l'installation peut redémarrer plusieurs fois pour ajuster les paramètres. (Note : la version linux MINT prend quasiment tout en charge ; il n'y a quasiment aucun paramètres à entrer à part l'heure ; le password de ta messagerie et le clavier français. Surprenant !)

Ce qu'il est important de comprendre c'est que lors de l'installation d'un systeme d'exploitation (OS en anglais, pour Operating System) le programme vas "marquer" le disque dur avec certains "repères" (les secteurs de boot (boot = démarrage). Pour faire simple : quand tu vas allumer ta machine, le programme va chercher ses "repères", trouver le début du systeme d'exploitation qui va piloter ta machine pour pouvoir le lancer. C'est alors ce dernier qui fera fonctionner ton ordi. Si la machine ne trouve pas ses "repères" au démarrage, soit parce qu'ils n'existent pas faute d'avoir été crées ou parce qu'ils ont été "mélangés", précisément par des installation successives (ça arrive) tu auras un message d'erreur du genre : "incapable de charger le systeme d'exploitation " et ...point barre.
(je schématise) Il faut "dire" à la machine par ou commencer. Cela se fait automatiquement c'est ce qu'on appelle le Formatage et le Partitionnement d'un disque dur

D'ou l'importance d'avoir un disque dur "propre", vierge, et correctement formaté pour ne pas avoir de mauvaises surprises Souvent les OS linux s'installent sur des partition dite "EXT3" ou EXT4 (ext = extend = partition étendues en français) + la partition d'échange Linux dite "swap", en anglais.
Le SWAP est important sous linux : il accélère l'ordinateur car les données vont transité sur cette partie du disque dur.

ATTENTION : il ne faut pas utiliser ces outils sans parfaitement comprendre ce que tu fais au risque de perdre définitivement et sans possibilité de récupération, toutes les données dans ta machine. J'insiste : bidouiller la-dedans ou pire faire des réinstallations d'OS "par dessus" les anciennes version, c'est la cata quasi assurée.

Le plus "simple" est donc
1- de faire une sauvegarde de ton disque que tu ne toucheras plus.
2- de comprendre comment formater et préparer un disque dur et le faire.
3- installer l'image ISO de la version Linux choisi et laisser-faire !

Je n'entre pas dans les détails car non-spécialiste, mais les systemes Linux ne fonctionnent pas comme les systeme Windows. j'ai eu quelques aperçus...

Patrick
https://www.pcastuces.com/pratique/l...untu/page1.htm
patrick60 est déconnecté   Réponse avec citation
Vieux 26/08/2017, 22h46   #35
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Citation:
Envoyé par patrick60 Voir le message
Bonjour,

mais les systemes Linux ne fonctionnent pas comme les systeme Windows. j'ai eu quelques aperçus...

Patrick
https://www.pcastuces.com/pratique/l...untu/page1.htm
Salut Patrick.
Merci pour ces infos.
Je suis loin de tout savoir sur Linux, mais j'ai quand-même un peu touché avec la 10.10, il a 6 ans, en dual boot avec Vista et XP en virtuel. J'ai abandonné à l'arrivée de Unity , et le pc ramait. J'ai reformaté et tourné sur Vista jusqu'à maintenant.

Sur mon second PC de 4 ans, core i7 et 8 Go de ram, je viens d'installer Mint 18 en multiboot avec Win 10 et 8.1.
Autant dire que je n'ai pas ces problèmes. Sauf qu'il n'est pas toujours dispo (je suis marié ), puis l'âge, la famille, la santé un peu bancale... Puis, j'aime bien "bidouiller" un peu, et je m'en suis toujours sorti, quand je poussais un peu trop loin
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 27/08/2017, 09h09   #36
patrick60
Membre
Supernova
 
Avatar de patrick60
 
Date d'inscription: octobre 2011
Messages: 412
Par défaut

Citation:
Envoyé par viloque Voir le message
Je suis loin de tout savoir sur Linux.
...et moi donc !

Citation:
Envoyé par viloque Voir le message
j'aime bien "bidouiller" un peu, et je m'en suis toujours sorti, quand je poussais un peu trop loin
...autodidacte, j'ai commencé l'informatique à son arrivée dans le grand public avec les systemes...DOS, il y a 25 ans ! Ca nous rajeuni pas j'ai testé à peu près tous les Windows. Il n'y a qu'un an que j'ai adopté avec joie un OS linux pour le notebook : que de progrès depuis la ligne de commandes ! J'ai eu quelques soucis récemment suite au simple redimensionnement d'une partition ; il n'a pas du tout "apprécié" (surtout en dual boot) ; je m'en suis sorti mais il a fallut batailler plusieurs heures pour trouver une solution. D'autant que j'ai pu m’apercevoir que les lignes de commande pour piloter ou modifier la machine sous linux pouvaient s'écrire différemment pour avoir quasiment le même résultat.

Moralité : Linux Mint semble mieux abouti que d'autres variantes; il est complet, pratique d'utilisation certains logiciels -paquets qui n'existent pas sous windows sont bien fait et tu as la sécurité informatique en plus en termes de virus
Linuw Mint tourne bien sur le notebook. POurquoi changer ? quant aux bidouilles, autant les faire sur un disque dur -test
patrick60 est déconnecté   Réponse avec citation
Vieux 27/08/2017, 10h58   #37
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Citation:
Envoyé par patrick60 Voir le message
...et moi donc !
Moralité : Linux Mint semble mieux abouti que d'autres variantes; il est complet, pratique d'utilisation certains logiciels -paquets qui n'existent pas sous windows sont bien fait et tu as la sécurité informatique en plus en termes de virus
Linuw Mint tourne bien sur le notebook. POurquoi changer ? quant aux bidouilles, autant les faire sur un disque dur -test
Je te répond en vitesse.
J'ai craqué hier soir (et un peu cette nuit...), (transmission de pensée ?), j'ai installé Mint 18 Cinnamon, et bataillé donc, affaire à suivre...
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 27/08/2017, 15h09   #38
francheu
Membre
Supergéante rouge
 
Date d'inscription: juillet 2013
Messages: 174
Par défaut

Citation:
Envoyé par viloque Voir le message
Je te répond en vitesse.
J'ai craqué hier soir (et un peu cette nuit...), (transmission de pensée ?), j'ai installé Mint 18 Cinnamon, et bataillé donc, affaire à suivre...
Pour info Cinnamon est gourmand en ressources graphiques, pas sûr que cela tourne bien sur ton portable.
Si c'est le cas vise Mate, qui lui tourne bien à peu près partout, ou XFCE qui est léger et bien réactif.
francheu est déconnecté   Réponse avec citation
Vieux 08/09/2017, 14h43   #39
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Citation:
Envoyé par viloque Voir le message
Déjà l'anglais n'est pas mon fort, obligé de traduire.....
Il est dit qu'à partir de Stellarium 0.13 les puces graphiques Intel GMA avant X3000 (2010) ne sont plus supportées, ce qui est ton cas. Pour cela il faut utiliser le rendu MESA logiciel (avec la commande que tu utilise, mais ça rame) ou alors utiliser une ancienne version de Stellarium.

Je vais regarder si ça se compile facilement
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz
src386 est déconnecté   Réponse avec citation
Vieux 08/09/2017, 17h17   #40
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

Sous Cinnamon, pareil, là je suis sous Ubuntu 16.04, on m'a dit sur le forum, de ne pas servir des PPA pour les anciennes versions et d'essayer avec Wine.
Effectivement, c'est le mieux que j'ai trouvé, j'ai pu installé la 0.12.6 (avec Launchpad.net) sous wine, les déplacements à la souris sont fluides.
Je ne suis pas aller plus loin, pour le moment, je m'en contente.
Je me consacre maintenant sur Kstars, ou j'avance, lentement, mais sûrement
Merci pour ton implication.
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 08/09/2017, 17h23   #41
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Effectivement la méthode de viloque avec wine est pas mal aussi

Pour ceux qui veulent compiler la 0.12.5, voici la procédure (testé avec debian9) :

1. Désinstaller votre version de Stellarium actuelle.

2. Télécharger le code source de la 0.12.5 : https://sourceforge.net/projects/ste...ources/0.12.5/ (stellarium-0.12.5.tar.gz)

3. Ouvrez un terminal

4. Décompressez l'archive : tar xf stellarium-0.12.5.tar.gz

5. Installation des dépendances pour compiler : sudo apt-get install build-essential cmake libqt4-dev zlib1g-dev gettext

6. Compiler :

cd stellarium-0.12.5
mkdir -p builds/unix
cd builds/unix
cmake ../..
make

7. Installer :

sudo make install

8. Lancer :

stellarium (ou alors utiliser le raccourci, je ne sais pas s'il en créé un)
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz

Dernière modification par src386 ; 09/09/2017 à 11h41
src386 est déconnecté   Réponse avec citation
Vieux 08/09/2017, 17h26   #42
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

ça peut marcher sous ubuntu ?
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 08/09/2017, 19h07   #43
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Oui Debian et Ubuntu sont très proches, les noms des paquets sont quasiment toujours les mêmes.

PS: j'avais pas vu que c'est toi l'auteur du sujet

EDIT : ça devrait marcher sous Mint aussi (au pire ça crache une erreur de compilation et c'est tout, ça pète pas ta machine).
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz

Dernière modification par src386 ; 08/09/2017 à 19h12
src386 est déconnecté   Réponse avec citation
Vieux 08/09/2017, 22h14   #44
francheu
Membre
Supergéante rouge
 
Date d'inscription: juillet 2013
Messages: 174
Par défaut

Citation:
Envoyé par viloque Voir le message
on m'a dit sur le forum, de ne pas servir des PPA pour les anciennes versions et d'essayer avec Wine.

C'est aberrant de recommander de passer par Wine plutôt qu'un PPA.
Les PPA ça fonctionne, c'est fait pour Ubuntu justement.
Avec Wine tu passes par une couche intermédiaire pour faire tourner un exe Windows, ça ne va pas dans le sens de la performance.

Citation:
Envoyé par viloque Voir le message
j'ai pu installé la 0.12.6 (avec Launchpad.net) sous wine, les déplacements à la souris sont fluides.
Ok, tant mieux. Mais pourquoi la 0.12.6 ? La dernière version de cette branche est la 0.12.9.

Citation:
Envoyé par src386 Voir le message
Pour ceux qui veulent compiler la 0.12.5, voici la procédure (testé avec debian9) :
Là non plus je capte pas... Pourquoi proposer la compilation manuelle de la version 0.12.5 alors qu'il existe un PPA qui installera automatiquement la 0.12.9 (du moins pour ceux qui tournent sous Ubuntu et dérivés, c'est un peu la question initiale) ?


Dernière modification par francheu ; 08/09/2017 à 22h21
francheu est déconnecté   Réponse avec citation
Vieux 08/09/2017, 22h46   #45
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Citation:
Envoyé par francheu Voir le message
Là non plus je capte pas... Pourquoi proposer la compilation manuelle de la version 0.12.5 alors qu'il existe un PPA qui installera automatiquement la 0.12.9 (du moins pour ceux qui tournent sous Ubuntu et dérivés, c'est un peu la question initiale) ?
J'ai proposé la compilation parce que je ne savais pas qu'il existait un PPA pour les vieilles versions (souvent c'est l'inverse, on fait des PPA pour avoir des versions plus à jour que celles de dépôts). De plus ça marche sur toutes les distributions (avec le nom des dépendances à adapter).

Et puis l'excès de PPA est mauvais pour la santé, surtout lors des montées de version de Ubuntu.
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz
src386 est déconnecté   Réponse avec citation
Vieux 09/09/2017, 01h12   #46
viloque
Membre
Supergéante rouge
 
Avatar de viloque
 
Date d'inscription: mai 2010
Localisation: Aude
Messages: 208
Par défaut

J'ai voulu compiler car avec les PPA, j'avais toujours des erreurs
Avec le source de la 0.12.5 idem
y a une "tartine" dans le terminal

Code:
viloque@viloque-Aspire-9410:~$ tar xf stellarium-0.12.5.tar.gz
tar: stellarium-0.12.5.tar.gz : open impossible: Aucun fichier ou dossier de ce type
tar: Error is not recoverable: exiting now
viloque@viloque-Aspire-9410:~$ tar xf stellarium-0.12.5.tar.gz
viloque@viloque-Aspire-9410:~$ sudo apt-get install build-essential cmake libqt4-dev zlib1g-dev gettext
[sudo] Mot de passe de viloque*: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
cmake is already the newest version (3.5.1-1ubuntu3).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires*:
  libgps22 libqt5multimedia5 libqt5multimediawidgets5 libqt5opengl5 libqt5positioning5
  libqt5serialport5 stellarium-data
Veuillez utiliser «*sudo apt autoremove*» pour les supprimer.
The following additional packages will be installed:
  g++ g++-5 libasprintf-dev libdrm-dev libgettextpo-dev libgettextpo0 libgl1-mesa-dev
  libglu1-mesa-dev libpthread-stubs0-dev libqt4-dbus libqt4-designer libqt4-dev-bin
  libqt4-help libqt4-opengl libqt4-opengl-dev libqt4-qt3support libqt4-scripttools
  libqt4-svg libqt4-test libstdc++-5-dev libunistring0 libx11-dev libx11-doc
  libx11-xcb-dev libxau-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev
  libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev
  libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev
  libxext-dev libxfixes-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev qdbus
  qt4-linguist-tools qt4-qmake x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev
  x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev
  x11proto-xext-dev x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev
Paquets suggérés*:
  g++-multilib g++-5-multilib gcc-5-doc libstdc++6-5-dbg gettext-doc autopoint
  firebird-dev libmysqlclient-dev libpq-dev libsqlite0-dev libsqlite3-dev qt4-dev-tools
  qt4-doc unixodbc-dev libstdc++-5-doc libxcb-doc libxext-doc
Les NOUVEAUX paquets suivants seront installés*:
  build-essential g++ g++-5 gettext libasprintf-dev libdrm-dev libgettextpo-dev
  libgettextpo0 libgl1-mesa-dev libglu1-mesa-dev libpthread-stubs0-dev libqt4-dbus
  libqt4-designer libqt4-dev libqt4-dev-bin libqt4-help libqt4-opengl libqt4-opengl-dev
  libqt4-qt3support libqt4-scripttools libqt4-svg libqt4-test libstdc++-5-dev
  libunistring0 libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-dri2-0-dev
  libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev
  libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev
  libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxshmfence-dev libxxf86vm-dev
  mesa-common-dev qdbus qt4-linguist-tools qt4-qmake x11proto-core-dev
  x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
  x11proto-input-dev x11proto-kb-dev x11proto-xext-dev x11proto-xf86vidmode-dev
  xorg-sgml-doctools xtrans-dev zlib1g-dev
0 mis à jour, 60 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de prendre 26,6 Mo dans les archives.
Après cette opération, 117 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libunistring0 i386 0.9.3-5.2ubuntu1 [277 kB]
Réception de:2 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 libstdc++-5-dev i386 5.4.0-6ubuntu1~16.04.4 [1 457 kB]
Réception de:3 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 g++-5 i386 5.4.0-6ubuntu1~16.04.4 [8 318 kB]
Réception de:4 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 g++ i386 4:5.3.1-1ubuntu1 [1 506 B]
Réception de:5 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 build-essential i386 12.1ubuntu2 [4 756 B]
Réception de:6 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 gettext i386 0.19.7-2ubuntu3 [1 085 kB]
Réception de:7 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libasprintf-dev i386 0.19.7-2ubuntu3 [4 658 B]
Réception de:8 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 libdrm-dev i386 2.4.76-1~ubuntu16.04.1 [229 kB]
Réception de:9 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libgettextpo0 i386 0.19.7-2ubuntu3 [129 kB]
Réception de:10 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libgettextpo-dev i386 0.19.7-2ubuntu3 [144 kB]
Réception de:11 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 xorg-sgml-doctools all 1:1.11-1 [12,9 kB]
Réception de:12 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 x11proto-core-dev all 7.0.31-1~ubuntu16.04.1 [254 kB]
Réception de:13 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxau-dev i386 1:1.0.8-1 [10,2 kB]
Réception de:14 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxdmcp-dev i386 1:1.1.2-1.1 [25,0 kB]
Réception de:15 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-input-dev all 2.3.1-1 [118 kB]
Réception de:16 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-kb-dev all 1.0.7-0ubuntu1 [224 kB]
Réception de:17 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 xtrans-dev all 1.3.5-1 [70,5 kB]
Réception de:18 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libpthread-stubs0-dev i386 0.3-4 [4 054 B]
Réception de:19 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb1-dev i386 1.11.1-1ubuntu1 [76,3 kB]
Réception de:20 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libx11-dev i386 2:1.6.3-1ubuntu2 [663 kB]
Réception de:21 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 mesa-common-dev i386 17.0.7-0ubuntu0.16.04.1 [498 kB]
Réception de:22 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libx11-xcb-dev i386 2:1.6.3-1ubuntu2 [9 738 B]
Réception de:23 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-dri3-dev i386 1.11.1-1ubuntu1 [5 758 B]
Réception de:24 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-render0-dev i386 1.11.1-1ubuntu1 [15,6 kB]
Réception de:25 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-randr0-dev i386 1.11.1-1ubuntu1 [18,6 kB]
Réception de:26 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-shape0-dev i386 1.11.1-1ubuntu1 [6 924 B]
Réception de:27 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-xfixes0-dev i386 1.11.1-1ubuntu1 [11,3 kB]
Réception de:28 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-sync-dev i386 1.11.1-1ubuntu1 [10,2 kB]
Réception de:29 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-present-dev i386 1.11.1-1ubuntu1 [6 678 B]
Réception de:30 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxshmfence-dev i386 1.2-1 [3 730 B]
Réception de:31 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-dri2-0-dev i386 1.11.1-1ubuntu1 [8 414 B]
Réception de:32 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-glx0-dev i386 1.11.1-1ubuntu1 [27,2 kB]
Réception de:33 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-xext-dev all 7.3.0-1 [212 kB]
Réception de:34 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-fixes-dev all 1:5.0-2ubuntu2 [14,2 kB]
Réception de:35 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxfixes-dev i386 1:5.0.1-2 [11,2 kB]
Réception de:36 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-damage-dev all 1:1.2.1-2 [8 286 B]
Réception de:37 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxdamage-dev i386 1:1.1.4-2 [4 900 B]
Réception de:38 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxext-dev i386 2:1.3.3-1 [82,8 kB]
Réception de:39 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-xf86vidmode-dev all 2.3.1-2 [6 116 B]
Réception de:40 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libxxf86vm-dev i386 1:1.1.4-1 [13,9 kB]
Réception de:41 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-dri2-dev all 2.8-2 [12,6 kB]
Réception de:42 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 x11proto-gl-dev all 1.4.17-1 [17,9 kB]
Réception de:43 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgl1-mesa-dev i386 17.0.7-0ubuntu0.16.04.1 [4 436 B]
Réception de:44 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libglu1-mesa-dev i386 9.0.0-2.1 [204 kB]
Réception de:45 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 qdbus i386 4:4.8.7+dfsg-5ubuntu2 [30,5 kB]
Réception de:46 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-dbus i386 4:4.8.7+dfsg-5ubuntu2 [6 432 B]
Réception de:47 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-designer i386 4:4.8.7+dfsg-5ubuntu2 [3 716 kB]
Réception de:48 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-qt3support i386 4:4.8.7+dfsg-5ubuntu2 [1 118 kB]
Réception de:49 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-dev-bin i386 4:4.8.7+dfsg-5ubuntu2 [1 691 kB]
Réception de:50 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-help i386 4:4.8.7+dfsg-5ubuntu2 [216 kB]
Réception de:51 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-scripttools i386 4:4.8.7+dfsg-5ubuntu2 [237 kB]
Réception de:52 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-svg i386 4:4.8.7+dfsg-5ubuntu2 [145 kB]
Réception de:53 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-test i386 4:4.8.7+dfsg-5ubuntu2 [63,7 kB]
Réception de:54 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 qt4-linguist-tools i386 4:4.8.7+dfsg-5ubuntu2 [884 kB]
Réception de:55 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 qt4-qmake i386 4:4.8.7+dfsg-5ubuntu2 [1 321 kB]
Réception de:56 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-dev i386 4:4.8.7+dfsg-5ubuntu2 [856 kB]
Réception de:57 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-opengl i386 4:4.8.7+dfsg-5ubuntu2 [319 kB]
Réception de:58 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libqt4-opengl-dev i386 4:4.8.7+dfsg-5ubuntu2 [22,9 kB]
Réception de:59 http://fr.archive.ubuntu.com/ubuntu xenial/main i386 libx11-doc all 2:1.6.3-1ubuntu2 [1 465 kB]
Réception de:60 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 zlib1g-dev i386 1:1.2.8.dfsg-2ubuntu4.1 [167 kB]
26,6 Mo réceptionnés en 29s (906 ko/s)                                                  
Extraction des modèles depuis les paquets*: 100%
Sélection du paquet libunistring0:i386 précédemment désélectionné.
(Lecture de la base de données... 238692 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libunistring0_0.9.3-5.2ubuntu1_i386.deb ...
Dépaquetage de libunistring0:i386 (0.9.3-5.2ubuntu1) ...
Sélection du paquet libstdc++-5-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libstdc++-5-dev_5.4.0-6ubuntu1~16.04.4_i386.deb ...
Dépaquetage de libstdc++-5-dev:i386 (5.4.0-6ubuntu1~16.04.4) ...
Sélection du paquet g++-5 précédemment désélectionné.
Préparation du dépaquetage de .../g++-5_5.4.0-6ubuntu1~16.04.4_i386.deb ...
Dépaquetage de g++-5 (5.4.0-6ubuntu1~16.04.4) ...
Sélection du paquet g++ précédemment désélectionné.
Préparation du dépaquetage de .../g++_4%3a5.3.1-1ubuntu1_i386.deb ...
Dépaquetage de g++ (4:5.3.1-1ubuntu1) ...
Sélection du paquet build-essential précédemment désélectionné.
Préparation du dépaquetage de .../build-essential_12.1ubuntu2_i386.deb ...
Dépaquetage de build-essential (12.1ubuntu2) ...
Sélection du paquet gettext précédemment désélectionné.
Préparation du dépaquetage de .../gettext_0.19.7-2ubuntu3_i386.deb ...
Dépaquetage de gettext (0.19.7-2ubuntu3) ...
Sélection du paquet libasprintf-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libasprintf-dev_0.19.7-2ubuntu3_i386.deb ...
Dépaquetage de libasprintf-dev:i386 (0.19.7-2ubuntu3) ...
Sélection du paquet libdrm-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libdrm-dev_2.4.76-1~ubuntu16.04.1_i386.deb ...
Dépaquetage de libdrm-dev:i386 (2.4.76-1~ubuntu16.04.1) ...
Sélection du paquet libgettextpo0:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libgettextpo0_0.19.7-2ubuntu3_i386.deb ...
Dépaquetage de libgettextpo0:i386 (0.19.7-2ubuntu3) ...
Sélection du paquet libgettextpo-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libgettextpo-dev_0.19.7-2ubuntu3_i386.deb ...
Dépaquetage de libgettextpo-dev:i386 (0.19.7-2ubuntu3) ...
Sélection du paquet xorg-sgml-doctools précédemment désélectionné.
Préparation du dépaquetage de .../xorg-sgml-doctools_1%3a1.11-1_all.deb ...
Dépaquetage de xorg-sgml-doctools (1:1.11-1) ...
Sélection du paquet x11proto-core-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-core-dev_7.0.31-1~ubuntu16.04.1_all.deb ...
Dépaquetage de x11proto-core-dev (7.0.31-1~ubuntu16.04.1) ...
Sélection du paquet libxau-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxau-dev_1%3a1.0.8-1_i386.deb ...
Dépaquetage de libxau-dev:i386 (1:1.0.8-1) ...
Sélection du paquet libxdmcp-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxdmcp-dev_1%3a1.1.2-1.1_i386.deb ...
Dépaquetage de libxdmcp-dev:i386 (1:1.1.2-1.1) ...
Sélection du paquet x11proto-input-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-input-dev_2.3.1-1_all.deb ...
Dépaquetage de x11proto-input-dev (2.3.1-1) ...
Sélection du paquet x11proto-kb-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-kb-dev_1.0.7-0ubuntu1_all.deb ...
Dépaquetage de x11proto-kb-dev (1.0.7-0ubuntu1) ...
Sélection du paquet xtrans-dev précédemment désélectionné.
Préparation du dépaquetage de .../xtrans-dev_1.3.5-1_all.deb ...
Dépaquetage de xtrans-dev (1.3.5-1) ...
Sélection du paquet libpthread-stubs0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libpthread-stubs0-dev_0.3-4_i386.deb ...
Dépaquetage de libpthread-stubs0-dev:i386 (0.3-4) ...
Sélection du paquet libxcb1-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb1-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb1-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libx11-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libx11-dev_2%3a1.6.3-1ubuntu2_i386.deb ...
Dépaquetage de libx11-dev:i386 (2:1.6.3-1ubuntu2) ...
Sélection du paquet mesa-common-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../mesa-common-dev_17.0.7-0ubuntu0.16.04.1_i386.deb ...
Dépaquetage de mesa-common-dev:i386 (17.0.7-0ubuntu0.16.04.1) ...
Sélection du paquet libx11-xcb-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libx11-xcb-dev_2%3a1.6.3-1ubuntu2_i386.deb ...
Dépaquetage de libx11-xcb-dev:i386 (2:1.6.3-1ubuntu2) ...
Sélection du paquet libxcb-dri3-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-dri3-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-dri3-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-render0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-render0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-render0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-randr0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-randr0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-randr0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-shape0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-shape0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-shape0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-xfixes0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-xfixes0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-xfixes0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-sync-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-sync-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-sync-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-present-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-present-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-present-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxshmfence-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxshmfence-dev_1.2-1_i386.deb ...
Dépaquetage de libxshmfence-dev:i386 (1.2-1) ...
Sélection du paquet libxcb-dri2-0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-dri2-0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-dri2-0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet libxcb-glx0-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxcb-glx0-dev_1.11.1-1ubuntu1_i386.deb ...
Dépaquetage de libxcb-glx0-dev:i386 (1.11.1-1ubuntu1) ...
Sélection du paquet x11proto-xext-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-xext-dev_7.3.0-1_all.deb ...
Dépaquetage de x11proto-xext-dev (7.3.0-1) ...
Sélection du paquet x11proto-fixes-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-fixes-dev_1%3a5.0-2ubuntu2_all.deb ...
Dépaquetage de x11proto-fixes-dev (1:5.0-2ubuntu2) ...
Sélection du paquet libxfixes-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxfixes-dev_1%3a5.0.1-2_i386.deb ...
Dépaquetage de libxfixes-dev:i386 (1:5.0.1-2) ...
Sélection du paquet x11proto-damage-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-damage-dev_1%3a1.2.1-2_all.deb ...
Dépaquetage de x11proto-damage-dev (1:1.2.1-2) ...
Sélection du paquet libxdamage-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxdamage-dev_1%3a1.1.4-2_i386.deb ...
Dépaquetage de libxdamage-dev:i386 (1:1.1.4-2) ...
Sélection du paquet libxext-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxext-dev_2%3a1.3.3-1_i386.deb ...
Dépaquetage de libxext-dev:i386 (2:1.3.3-1) ...
Sélection du paquet x11proto-xf86vidmode-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-xf86vidmode-dev_2.3.1-2_all.deb ...
Dépaquetage de x11proto-xf86vidmode-dev (2.3.1-2) ...
Sélection du paquet libxxf86vm-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libxxf86vm-dev_1%3a1.1.4-1_i386.deb ...
Dépaquetage de libxxf86vm-dev:i386 (1:1.1.4-1) ...
Sélection du paquet x11proto-dri2-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-dri2-dev_2.8-2_all.deb ...
Dépaquetage de x11proto-dri2-dev (2.8-2) ...
Sélection du paquet x11proto-gl-dev précédemment désélectionné.
Préparation du dépaquetage de .../x11proto-gl-dev_1.4.17-1_all.deb ...
Dépaquetage de x11proto-gl-dev (1.4.17-1) ...
Sélection du paquet libgl1-mesa-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libgl1-mesa-dev_17.0.7-0ubuntu0.16.04.1_i386.deb ...
Dépaquetage de libgl1-mesa-dev:i386 (17.0.7-0ubuntu0.16.04.1) ...
Sélection du paquet libglu1-mesa-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libglu1-mesa-dev_9.0.0-2.1_i386.deb ...
Dépaquetage de libglu1-mesa-dev:i386 (9.0.0-2.1) ...
Sélection du paquet qdbus précédemment désélectionné.
Préparation du dépaquetage de .../qdbus_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de qdbus (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-dbus:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-dbus_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-dbus:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-designer:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-designer_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-designer:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-qt3support:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-qt3support_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-qt3support:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-dev-bin précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-dev-bin_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-dev-bin (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-help:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-help_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-help:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-scripttools:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-scripttools_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-scripttools:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-svg:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-svg_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-svg:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-test:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-test_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-test:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet qt4-linguist-tools précédemment désélectionné.
Préparation du dépaquetage de .../qt4-linguist-tools_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de qt4-linguist-tools (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet qt4-qmake précédemment désélectionné.
Préparation du dépaquetage de .../qt4-qmake_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de qt4-qmake (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-dev précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-dev_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-dev (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-opengl:i386 précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-opengl_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-opengl:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libqt4-opengl-dev précédemment désélectionné.
Préparation du dépaquetage de .../libqt4-opengl-dev_4%3a4.8.7+dfsg-5ubuntu2_i386.deb ...
Dépaquetage de libqt4-opengl-dev (4:4.8.7+dfsg-5ubuntu2) ...
Sélection du paquet libx11-doc précédemment désélectionné.
Préparation du dépaquetage de .../libx11-doc_2%3a1.6.3-1ubuntu2_all.deb ...
Dépaquetage de libx11-doc (2:1.6.3-1ubuntu2) ...
Sélection du paquet zlib1g-dev:i386 précédemment désélectionné.
Préparation du dépaquetage de .../zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4.1_i386.deb ...
Dépaquetage de zlib1g-dev:i386 (1:1.2.8.dfsg-2ubuntu4.1) ...
Traitement des actions différées («*triggers*») pour man-db (2.7.5-1)*...
Traitement des actions différées («*triggers*») pour install-info (6.1.0.dfsg.1-5)*...
Traitement des actions différées («*triggers*») pour libc-bin (2.23-0ubuntu9)*...
Paramétrage de libunistring0:i386 (0.9.3-5.2ubuntu1) ...
Paramétrage de libstdc++-5-dev:i386 (5.4.0-6ubuntu1~16.04.4) ...
Paramétrage de g++-5 (5.4.0-6ubuntu1~16.04.4) ...
Paramétrage de g++ (4:5.3.1-1ubuntu1) ...
update-alternatives: utilisation de «*/usr/bin/g++*» pour fournir «*/usr/bin/c++*» (c++) en mode automatique
Paramétrage de build-essential (12.1ubuntu2) ...
Paramétrage de gettext (0.19.7-2ubuntu3) ...
Paramétrage de libasprintf-dev:i386 (0.19.7-2ubuntu3) ...
Paramétrage de libdrm-dev:i386 (2.4.76-1~ubuntu16.04.1) ...
Paramétrage de libgettextpo0:i386 (0.19.7-2ubuntu3) ...
Paramétrage de libgettextpo-dev:i386 (0.19.7-2ubuntu3) ...
Paramétrage de xorg-sgml-doctools (1:1.11-1) ...
Paramétrage de x11proto-core-dev (7.0.31-1~ubuntu16.04.1) ...
Paramétrage de libxau-dev:i386 (1:1.0.8-1) ...
Paramétrage de libxdmcp-dev:i386 (1:1.1.2-1.1) ...
Paramétrage de x11proto-input-dev (2.3.1-1) ...
Paramétrage de x11proto-kb-dev (1.0.7-0ubuntu1) ...
Paramétrage de xtrans-dev (1.3.5-1) ...
Paramétrage de libpthread-stubs0-dev:i386 (0.3-4) ...
Paramétrage de libxcb1-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libx11-dev:i386 (2:1.6.3-1ubuntu2) ...
Paramétrage de mesa-common-dev:i386 (17.0.7-0ubuntu0.16.04.1) ...
Paramétrage de libx11-xcb-dev:i386 (2:1.6.3-1ubuntu2) ...
Paramétrage de libxcb-dri3-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-render0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-randr0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-shape0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-xfixes0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-sync-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-present-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxshmfence-dev:i386 (1.2-1) ...
Paramétrage de libxcb-dri2-0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de libxcb-glx0-dev:i386 (1.11.1-1ubuntu1) ...
Paramétrage de x11proto-xext-dev (7.3.0-1) ...
Paramétrage de x11proto-fixes-dev (1:5.0-2ubuntu2) ...
Paramétrage de libxfixes-dev:i386 (1:5.0.1-2) ...
Paramétrage de x11proto-damage-dev (1:1.2.1-2) ...
Paramétrage de libxdamage-dev:i386 (1:1.1.4-2) ...
Paramétrage de libxext-dev:i386 (2:1.3.3-1) ...
Paramétrage de x11proto-xf86vidmode-dev (2.3.1-2) ...
Paramétrage de libxxf86vm-dev:i386 (1:1.1.4-1) ...
Paramétrage de x11proto-dri2-dev (2.8-2) ...
Paramétrage de x11proto-gl-dev (1.4.17-1) ...
Paramétrage de libgl1-mesa-dev:i386 (17.0.7-0ubuntu0.16.04.1) ...
Paramétrage de libglu1-mesa-dev:i386 (9.0.0-2.1) ...
Paramétrage de qdbus (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-dbus:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-designer:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-qt3support:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-dev-bin (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-help:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-scripttools:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-svg:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-test:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de qt4-linguist-tools (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de qt4-qmake (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-dev (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-opengl:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libqt4-opengl-dev (4:4.8.7+dfsg-5ubuntu2) ...
Paramétrage de libx11-doc (2:1.6.3-1ubuntu2) ...
Paramétrage de zlib1g-dev:i386 (1:1.2.8.dfsg-2ubuntu4.1) ...
Traitement des actions différées («*triggers*») pour libc-bin (2.23-0ubuntu9)*...
viloque@viloque-Aspire-9410:~$ cd stellarium-0.12.5
viloque@viloque-Aspire-9410:~/stellarium-0.12.5$ mkdir builds/unix
mkdir: impossible de créer le répertoire «builds/unix»: Aucun fichier ou dossier de ce type
viloque@viloque-Aspire-9410:~/stellarium-0.12.5$
__________________
C11 sur CGEM Caméra DFK41 APN 550D Réducteur F/6.3 Barlow 3X Filtre CLS Astronomik
viloque est déconnecté   Réponse avec citation
Vieux 09/09/2017, 01h21   #47
gehelem
Bricolo
Membre association
Quasar
 
Avatar de gehelem
 
Date d'inscription: septembre 2016
Localisation: Rambouillet (78)
Messages: 1 742
Par défaut

oula, tu es bien courageux !
Moi dans ces cas là, j'y arrive pas, je balance tout.

En tout cas (juste pour te faire ch..) tu m'as permis de découvrir Stellarium
C'est magnifique, bien léché, superbe
Tu m'étonnes que ça bouffe la GPU...

Mais je garde kstars, qui en fait n'a rien à voir : kstars c'est plus un outil d'observation (du fait de l'intégration ekos/indi, j'ai pas dit que c'était mieux, hein)
Dommage que Stellarium ne puisse pas se connecter à indi (ou alors j'ai pas bien cherché)
gehelem est déconnecté   Réponse avec citation
Vieux 09/09/2017, 01h23   #48
gehelem
Bricolo
Membre association
Quasar
 
Avatar de gehelem
 
Date d'inscription: septembre 2016
Localisation: Rambouillet (78)
Messages: 1 742
Par défaut

euh... dans ta commande du début, il te manque pas un tiret ?
Code:
tar  -xf
gehelem est déconnecté   Réponse avec citation
Vieux 09/09/2017, 11h39   #49
src386
Membre
Supernova
 
Avatar de src386
 
Date d'inscription: février 2016
Localisation: Nantes
Messages: 322
Par défaut

Non c'est moi qui ai oublié un truc.
Il faut ajouter -p au mkdir :

Code:
cd stellarium-0.12.5
mkdir -p builds/unix
Explication:

mkdir builds/unix : créé le répertoire 'unix' dans le répertoire 'builds'. Or le répertoire 'builds' n'existe pas, donc il te sort une erreur.

mkdir -p builds/unix : créé le répertoire 'unix' dans le répertoire 'builds' mais l'option -p spécifie de créer 'builds' s'il n'existe pas.

Je vais corriger dans mon précédent message aussi !

Citation:
Envoyé par gehelem Voir le message
euh... dans ta commande du début, il te manque pas un tiret ?
Code:
tar  -xf
La commande 'tar' c'est pour décompresser l'archive téléchargée, et la commande a aboutit vu qu'il a pu entrer dans le dossier stellarium-0.12.5 obtenu Dans le cas contraire il aurait eu une erreur.
__________________
Intes M603 + CG5
Blog: https://ngc44.xyz

Dernière modification par src386 ; 09/09/2017 à 11h43
src386 est déconnecté   Réponse avec citation
Vieux 09/09/2017, 11h50   #50
gehelem
Bricolo
Membre association
Quasar
 
Avatar de gehelem
 
Date d'inscription: septembre 2016
Localisation: Rambouillet (78)
Messages: 1 742
Par défaut

!!
J'ai toujours mis un tiret, moi...
Pfff
On en apprend tous les jours...
gehelem est déconnecté   Réponse avec citation
Réponse

Outils de la discussion
Modes d'affichage

Règles de messages
Vous ne pouvez pas créer de nouvelles discussions
Vous ne pouvez pas envoyer des réponses
Vous ne pouvez pas envoyer des pièces jointes
Vous ne pouvez pas modifier vos messages

Les balises BB sont activées : oui
Les smileys sont activés : oui
La balise [IMG] est activée : oui
Le code HTML peut être employé : non

Navigation rapide


Fuseau horaire GMT +2. Il est actuellement 07h29.